icu::number::impl::Padder Class Reference

`#include <numberformatter.h>`

Inheritance diagram for icu::number::impl::Padder:

## Static Public Member Functions

static Padder | none ()
static Padder | codePoints (UChar32 cp, int32_t targetWidth, UNumberFormatPadPosition position)
static Padder | forProperties (const DecimalFormatProperties &properties)

## Friends

struct | MacroProps
struct | MicroProps
class | impl::NumberFormatterImpl
class | impl::GeneratorHelpers

## Detailed Description

Internal:
  Do not use.

This API is for internal use only.

Definition at line 1456 of file numberformatter.h.

## Member Function Documentation

## codePoints()

static Padder icu::number::impl::Padder::codePoints | ( | UChar32 | cp,
|  | int32_t | targetWidth,
|  | UNumberFormatPadPosition | position
| ) |  |

static

Internal:
  Do not use.

This API is for internal use only.

## forProperties()

static Padder icu::number::impl::Padder::forProperties | ( | const DecimalFormatProperties & | properties | ) |

static

Internal:
  Do not use.

This API is for internal use only.

## none()

static Padder icu::number::impl::Padder::none | ( |  | ) |

static

Internal:
  Do not use.

This API is for internal use only.

The documentation for this class was generated from the following file:

- i18n/unicode/numberformatter.h